public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/pcmciautils/
Date: Wed, 29 Dec 2021 07:14:46 +0000 (UTC)	[thread overview]
Message-ID: <1640762077.bf5136f6795dec9e3e3066d9497214317730f988.sam@gentoo> (raw)

commit:     bf5136f6795dec9e3e3066d9497214317730f988
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 29 07:14:37 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Dec 29 07:14:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf5136f6

sys-apps/pcmciautils: update EAPI 6 -> 7

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/pcmciautils/pcmciautils-018_p8-r3.ebuild | 31 +++++++++++++----------
 1 file changed, 17 insertions(+), 14 deletions(-)

diff --git a/sys-apps/pcmciautils/pcmciautils-018_p8-r3.ebuild b/sys-apps/pcmciautils/pcmciautils-018_p8-r3.ebuild
index e42d81c1d8d8..9d5b1a167818 100644
--- a/sys-apps/pcmciautils/pcmciautils-018_p8-r3.ebuild
+++ b/sys-apps/pcmciautils/pcmciautils-018_p8-r3.ebuild
@@ -1,7 +1,8 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
+
 inherit flag-o-matic linux-info toolchain-funcs udev
 
 DEB_REV=${PV#*_p}
@@ -11,6 +12,7 @@ DESCRIPTION="PCMCIA userspace utilities for Linux"
 HOMEPAGE="https://packages.qa.debian.org/pcmciautils"
 SRC_URI="mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${MY_PV}.orig.tar.gz
 	mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${MY_PV}-${DEB_REV}.debian.tar.gz"
+S="${WORKDIR}"/${PN}-${MY_PV}
 
 LICENSE="GPL-2"
 SLOT="0"
@@ -22,8 +24,6 @@ DEPEND="${RDEPEND}
 	virtual/yacc
 	sys-devel/flex"
 
-S=${WORKDIR}/${PN}-${MY_PV}
-
 PATCHES=(
 	"${WORKDIR}"/debian/patches/no-modprobe-rules.patch
 	"${WORKDIR}"/debian/patches/remove-libsysfs-dep.patch
@@ -36,6 +36,19 @@ pkg_setup() {
 	linux-info_pkg_setup
 
 	kernel_is lt 2 6 32 && ewarn "${P} requires at least kernel 2.6.32."
+}
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e '/CFLAGS/s:-fomit-frame-pointer::' \
+		-e '/dir/s:sbin:bin:g' \
+		Makefile || die
+}
+
+src_configure() {
+	use debug && append-cppflags -DDEBUG
 
 	mypcmciaopts=(
 		STARTUP=$(usex staticsocket false true)
@@ -51,17 +64,7 @@ pkg_setup() {
 		STRIP=true
 		RANLIB="$(tc-getRANLIB)"
 		OPTIMIZATION="${CFLAGS} ${CPPFLAGS}"
-		)
-
-	use debug && append-cppflags -DDEBUG
-}
-
-src_prepare() {
-	default
-	sed -i \
-		-e '/CFLAGS/s:-fomit-frame-pointer::' \
-		-e '/dir/s:sbin:bin:g' \
-		Makefile || die
+	)
 }
 
 src_compile() {


             reply	other threads:[~2021-12-29  7:14 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-12-29  7:14 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-05 18:50 [gentoo-commits] repo/gentoo:master commit in: sys-apps/pcmciautils/ James Le Cuirot
2024-10-31 15:26 Petr Vaněk
2024-10-25  5:46 Arthur Zamarin
2024-10-24 14:42 Sam James
2024-10-24 14:42 Sam James
2024-10-24 14:07 Arthur Zamarin
2024-09-22 17:22 Arthur Zamarin
2024-09-18  6:40 Petr Vaněk
2024-09-18  6:40 Petr Vaněk
2023-10-09 18:57 Sam James
2023-10-09  4:36 Sam James
2023-08-14 16:34 Ben Kohler
2022-08-28  6:30 WANG Xuerui
2022-05-25 16:50 Jakov Smolić
2021-08-25  2:30 Sam James
2021-07-26  4:37 Sam James
2020-08-08 14:24 Mikle Kolyada
2020-08-08 12:18 Mikle Kolyada
2018-05-26 10:26 Mikle Kolyada
2018-05-26 10:26 Mikle Kolyada
2018-04-30  8:19 Mikle Kolyada
2018-04-11 20:43 Thomas Deutschmann
2018-03-31 23:41 Aaron Bauman
2017-09-23  6:46 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1640762077.bf5136f6795dec9e3e3066d9497214317730f988.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox